package com.ozs.entity.vo;

import com.ozs.entity.response.PreAlarmListResponse;
import com.ozs.entity.response.PreAlarmResponse;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @author Administrator
 */
@Data
public class RespHeartbeatVo implements Serializable {
    private static final long serialVersionUID = 1L;
    
    private List<CameraVos> cameraList;
    /**
     * 当前流是否为报警流：1是 2否
     */
    private Integer isAlarm;

    /**
     * 后续报警集合（配置范围内的其他报警）
     */
    private AlarmListVo[] alarmList;
    /**
     * 当前报警信息（（isAlarm为1时非空））
     */
    private AlarmInfoVo alarmInfo;
    /**
     * 当前股道
     */
    private String routeTrack;
    /**
     * 车站编码
     */
    private String stationCode;
    /**
     * 预警集合
     */
    private List<PreAlarmListResponse> preAlarmList;
}
